> ## Name

> cgGetProgramProfile - get a program's profile

> ## Synopsis

>     #include <Cg/cg.h>

>     CGprofile cgGetProgramProfile( CGprogram program );

> ## Parameters

> program
>   The program.

> ## Return Values

> Returns the profile enumerant associated with program.

> ## Description

> cgGetProgramProfile retrieves the profile enumerant currently associated with a program.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

> ## History

> cgGetProgramProfile was introduced in Cg 1.1.

> ## See Also

> cgSetProgramProfile, cgGetProfile, cgGetProfileString, cgCreateProgram